package ui.auto.core.components;

import org.openqa.selenium.WebElement;
import org.testng.Assert;

import com.thoughtworks.xstream.annotations.XStreamAlias;

import ui.auto.core.pageobjects.WebComponent;

@XStreamAlias("basic-component")
public class BasicComponent extends WebComponent {

	public BasicComponent(String data) {
		super(data);
	}

	public BasicComponent(WebElement element) {
		super(element);
	}

	
	@Override
	protected void init() {
		// no additional initialization or verification is needed
	}
	
	@Override
	public void setValue(){
		element.clear();
		element.sendKeys(data);
	}
	
	@Override
	public String getValue(){
		return element.getAttribute("value");
	}
	
	@Override
	public void validate(){
		Assert.assertEquals(element.getAttribute("value"),data);
	}

	

}
