/*
Copyright 2010-2012 Michael Braiman

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/

package ui.auto.core.components;

import org.openqa.selenium.WebElement;
import org.testng.Assert;

import com.thoughtworks.xstream.annotations.XStreamAlias;

import ui.auto.core.pageobjects.WebComponent;



@XStreamAlias("input-text")
public class InputText extends WebComponent{
	
	
	public InputText(String data) {
		super(data);
	}
	public InputText(WebElement element) {
		super(element);
	}
	
	public void clearAndSendKeys(CharSequence... arg0){
		element.clear();
		element.sendKeys(arg0);
	}
	
	@Override
	protected void init() {
		verifyTag("input");
	}
	
	@Override
	public void setValue(){
		clearAndSendKeys(data);
	}
	
	@Override
	public String getValue(){
		return element.getAttribute("value");
	}
	
	@Override
	public void validate(){
		Assert.assertEquals(element.getAttribute("value"),data);
	}

	
}
