/*
Copyright 2010-2012 Michael Braiman

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/

package ui.auto.core.data;

import java.net.URL;

public class DataFile {
	private String filePath;
	
	public DataFile(String filePath) {
		this.filePath=filePath;
	}
	
	public String getFilePath(){
		return this.filePath;
	}
	
	public <T> T castTo(Class<T> claz){
		URL url=this.getClass().getResource("/" + filePath);
		if (url!=null) {
			return DataPersistence.fromFile(url.getFile(), claz);
		}
		return DataPersistence.fromFile(filePath, claz);
	}
	
}
