/*
Copyright 2010-2012 Michael Braiman

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/

package ui.auto.core.data;


import java.util.ArrayList;
import java.util.List;

import com.thoughtworks.xstream.annotations.XStreamAlias;


@XStreamAlias("data-definition")
public class TestDataDefinition extends DataPersistence { 
	private String name;
	private String description;
	@XStreamAlias("server-url")
	private String serverUrl;
	private String urlPrefix;
	private String user;
	private String password;
	@XStreamAlias("encoded-password")
	private String encodedPassword;
	@XStreamAlias("data-sets")
	private List<DataSet> dataSets = new ArrayList<DataSet>();
	
	public TestDataDefinition(String name, String description,
			List<DataSet> dataSets, String serverUrl) {
		this.name = name;
		this.description = description;
		this.dataSets = dataSets;
		this.serverUrl = serverUrl;
	}
	
	public TestDataDefinition(String serverUrl,String urlPrefix,String user,String password){
		this.serverUrl=serverUrl;
		this.urlPrefix=urlPrefix;
		this.user=user;
		this.password=password;
		this.dataSets=new ArrayList<DataSet>();
		this.name="TEST";
		this.description="MANUAL OVERRIDE";
	}
	
	public String getName() {
		return name;
	}
	
	public String getDescription() {
		return description;
	}
	
	public List<DataSet> getData_sets() {
		return dataSets;
	}

	public String getServerUrl() {
		return serverUrl;
	}

	public String getUrlPrefix(){
		return urlPrefix;
	}
	
	public String getUser() {
		return user;
	}

	public String getPassword() {
		if (password!=null && !password.trim().isEmpty()) 
			return password;
		return encodedPassword;
	}
		
}
