/*
Copyright 2010-2012 Michael Braiman

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/

package ui.auto.core.utils;

import java.io.UnsupportedEncodingException;
import java.security.InvalidKeyException;
import java.security.NoSuchAlgorithmException;

import javax.crypto.BadPaddingException;
import javax.crypto.Cipher;
import javax.crypto.IllegalBlockSizeException;
import javax.crypto.KeyGenerator;
import javax.crypto.SecretKey;
import javax.crypto.spec.SecretKeySpec;

import org.apache.xerces.impl.dv.util.Base64;

public class StringCrypto {
	private final SecretKey key;
	private Cipher cipher;
	private final static String algorithm = "DES";
	
	public StringCrypto(String key) {
		byte[] keySpec =Base64.decode(key);
		this.key = new SecretKeySpec(keySpec, algorithm);
		
		try {
			this.cipher = Cipher.getInstance(algorithm);
		} catch (Exception e) {
			throw new RuntimeException(e.getLocalizedMessage());
		}
		
	}
	
	public String encrypt(String str)  {
		try {
			cipher.init(Cipher.ENCRYPT_MODE,key);
			byte[] utf8String = str.getBytes("UTF8");
			byte[] enc = cipher.doFinal(utf8String);
			return Base64.encode(enc);	
		} catch (InvalidKeyException e) {
		} catch (UnsupportedEncodingException e) {	
		} catch (IllegalBlockSizeException e) {
		} catch (BadPaddingException e) {
		}
		return null;
	}
	
	public String decrypt(String str) {
		try {
			cipher.init(Cipher.DECRYPT_MODE,key);
			byte[] dec = Base64.decode(str);
			byte[] utf8String = cipher.doFinal(dec);
			return new String(utf8String,"UTF8");
		} catch (InvalidKeyException e) {
		} catch (IllegalBlockSizeException e) {
		} catch (BadPaddingException e) {
		} catch (UnsupportedEncodingException e) {
		}
		return null;
	}
	
	protected static String generateKey(){
		try {
			SecretKey key = KeyGenerator.getInstance(algorithm).generateKey();
			byte[] keyBytes = key.getEncoded();
			return  Base64.encode(keyBytes);
		} catch (NoSuchAlgorithmException e) {
			return null;
		} 
		
	}
	
	
//	public static void main(String[] args){
//		String pswd="12345";
//		String key=StringCrypto.generateKey();
//		StringCrypto crypt=new StringCrypto(key);
//		System.out.println("key:" + key + " encripted string: " + crypt.encrypt(pswd));
//	}
	
}
