/*
Copyright 2010-2012 Michael Braiman

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/

package ui.auto.core.utils;

import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.android.library.AndroidWebElement;
import org.openqa.selenium.htmlunit.HtmlUnitWebElement;
import org.openqa.selenium.remote.RemoteWebElement;


public class Utils {
	
	public static void Sleep(long millis){
		try {
			Thread.sleep(millis);
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
	}
	
	public static WebDriver getDriverFromElement(WebElement element){
		if (RemoteWebElement.class.isAssignableFrom(element.getClass()) ){
			return ((RemoteWebElement) element).getWrappedDriver();
		}
		if (element instanceof HtmlUnitWebElement) {
			return ((HtmlUnitWebElement)element).getWrappedDriver();
		}
		if (element instanceof AndroidWebElement){
			return ((AndroidWebElement) element).getWrappedDriver();
		}
		System.out.println(element.getClass().getName());
		return null;
	}
	

}
